workdir {git2r} | R Documentation

## Workdir of repository

### Description

Workdir of repository

### Usage

    workdir(repo = ".")

### Arguments

`repo` | a path to a repository or a `git_repository` object. Default is '.'

### Value

Character vector with the path of the workdir. If the repository is bare, `NULL` will be returned.

### Examples

    ## Not run:
    ## Create a directory in tempdir
    path <- tempfile(pattern="git2r-")
    dir.create(path)

    ## Initialize a repository
    repo <- init(path)

    ## Get the path of the workdir for repository
    workdir(repo)

    ## End(Not run)

[Package git2r version 0.23.0 Index]